echo -off

set Brand Brand12
set HpMeBrand HpMeBrand12

# double what we can see on the screen
mode 128 40
if not %lasterror% == 0 then
mode 80 25
endif

# Find file system containing HpMeBrand.efi file
set file notfound
for %%i in 0 1 2 3 4 5 6 7 8 9
   if exist fs%i:\%Brand%\%HpMeBrand%.efi then
      set file fs%i%
      fs%i%:
      goto found_drive
   endif
endfor

if %file% == notfound then
   goto notfound
endif


:notfound
echo *** You must put all the files in folder %Brand% to commit the notebook ***
exit

:found_drive
cd %Brand%
cls

if exist Commit.flg then 
goto Committed
endif

:check_if_committed
%HpMeBrand% -verifycommit
set commitstatus %lasterror%


for %%i in 0 1 4 5
   if %commitstatus% == %i% then
      goto ME_error
   endif
endfor

for %%i in 2 6
   if %commitstatus% == %i% then
      goto check_sku
   endif
endfor

for %%i in 3 7
   if %commitstatus% == %i% then
      goto commitdone
   endif
endfor

Echo Commit Status = %commitstatus% > nul
goto Done

:ME_error
Echo ************************************************************
Echo *                        ME errors!                        *
Echo ************************************************************
Echo * You need reflash 4M/8M BIOS or order another systemboard *
Echo ************************************************************
goto Done

:commitdone
  Echo *** You need uncommit this system before you can use this tool to commit ME/vPro ***
  goto Done

:check_sku
cls
%HpMeBrand% -mesku
set mestatus %lasterror%

if %mestatus% == 0 then
  3.nsh
endif
if %mestatus% == 1 then
  goto display_menu
endif
if %mestatus% == 2 then
  echo *** Error when checking ME SKU ***
  goto Done
endif

Echo ME Status = %mestatus% > nul
goto Done

:display_menu
Echo           Menu to commit the system as 
Echo 1- vPro with AT enabled.
Echo 3- Non-vPro with AT enabled.
Echo .
Echo *** All the files must be in folder %Brand% ***
Echo Enter choice and press Enter
goto Done

:Committed
if exist Greset.flg then 
goto Verify
endif
Echo In order to finish commit process you need to enter 9 and press Enter. This will restart the system.
Echo On the next boot, you must press F9 to boot back to %Brand% to complete the commit process.
goto Done

:Verify
rm *.flg > nul
cls
%HpMeBrand% -verifycommit
set commitstatus %lasterror%

for %%i in 0 1 4 5
   if %commitstatus% == %i% then
      goto ME_error
   endif
endfor

for %%i in 2 6
   if %commitstatus% == %i% then
      goto check_sku
   endif
endfor

if %commitstatus% == 3 then
  Echo ********************************** 
  Echo *        Exit with errors!       *
  Echo ********************************** 
  goto Done
endif

if %commitstatus% == 7 then
  Echo ************************************** 
  Echo * Pass!!! This machine is configured *
  Echo ************************************** 
  goto Done
endif

Echo Commit Status = %commitstatus%
goto Done


:Done
